Bug 13305 - 1k buffer not big enough to read /proc/stat
Summary: 1k buffer not big enough to read /proc/stat
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procps   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-01 02:24 UTC by James Manning
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-01 02:24:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2000-07-01 02:24:37 UTC
vmstat.c (probably others) use a 1k buffer to read /proc/stat.
Increasing to 4096 works, but might not be optimal.

[root@rts-test2 /root]# wc /proc/stat
     20     308    1225 /proc/stat

Comment 1 Preston Brown 2000-07-03 18:27:39 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.